RHEL 8 : binutils (RHSA-2020:1797)

medium Nessus Plugin ID 136054
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2020:1797 advisory.

- binutils: Improper Input Validation, Signed/Unsigned Comparison, Out-of-bounds Read in gold/fileread.cc and elfcpp/elfcpp_file.h leads to denial of service (CVE-2019-1010204)

- binutils: integer overflow leading to a SEGV in _bfd_dwarf2_find_nearest_line in dwarf2.c (CVE-2019-17451)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected binutils and / or binutils-devel packages.

See Also

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/125.html

https://cwe.mitre.org/data/definitions/190.html

https://access.redhat.com/security/cve/CVE-2019-17451

https://access.redhat.com/security/cve/CVE-2019-1010204

https://access.redhat.com/errata/RHSA-2020:1797

https://bugzilla.redhat.com/1735604

https://bugzilla.redhat.com/1771668

Plugin Details

Severity: Medium

ID: 136054

File Name: redhat-RHSA-2020-1797.nasl

Version: 1.5

Type: local

Agent: unix

Published: 4/28/2020

Updated: 7/21/2021

Dependencies: ssh_get_info.nasl, redhat_repos.nasl

Risk Information

CVSS Score Source: CVE-2019-17451

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Temporal Score: 3.2

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:8, cpe:/o:redhat:rhel_aus:8.2, cpe:/o:redhat:rhel_aus:8.4, cpe:/o:redhat:rhel_e4s:8.2, cpe:/o:redhat:rhel_e4s:8.4, cpe:/o:redhat:rhel_eus:8.2, cpe:/o:redhat:rhel_eus:8.4, cpe:/o:redhat:rhel_tus:8.2, cpe:/o:redhat:rhel_tus:8.4, p-cpe:/a:redhat:enterprise_linux:binutils, p-cpe:/a:redhat:enterprise_linux:binutils-devel

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 4/28/2020

Vulnerability Publication Date: 10/12/2018

Reference Information

CVE: CVE-2019-17451, CVE-2019-1010204

BID: 109365

RHSA: 2020:1797

CWE: 20, 125, 190